/* Blinker
   Copyright 2011 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#ifndef SETTINGFILE_H
#define SETTINGFILE_H

#include <string>

#include "File.h"

namespace Blinker {

/// file containting a single setting
class SettingFile: public File
{
public:
  /**
   * @brief constructor from path
   * @param[in] path path to file
   */
  SettingFile(const std::string &path);

  /**
   * @brief constructor from basic file
   * @param[in] file basic file object
   */
  SettingFile(const File &file);

  /**
   * @brief assignment operator
   * @param[in] file basic file object
   */
  const SettingFile & operator=(const File &file);

public:
  /**
   * @brief get setting as string
   * @param[out] val setting read from file
   * @param[in] def default setting (to return on error)
   * @return if setting was successfully read from file
   */
  bool getStr(std::string& val, const std::string& def = "") const;
}; // class SettingFile

} // namespace Blinker

#endif // #ifndef SETTINGFILE_H

